| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBitmaskToString::MaskNames Struct Reference

Structure containing a name for possible bit masks. More...

`#include <cstool/bitmasktostr.h>`

List of all members.

## Public Attributes
uint | bits
| Bit mask.
const char * | name
| Name of the mask. Emitted when bits are set in a given mask.

## Detailed Description

Structure containing a name for possible bit masks.

Definition at line 40 of file bitmasktostr.h.

## Member Data Documentation

uint csBitmaskToString::MaskNames::bits

Bit mask.

Definition at line 43 of file bitmasktostr.h.

const char* csBitmaskToString::MaskNames::name

Name of the mask. Emitted when bits are set in a given mask.

Definition at line 45 of file bitmasktostr.h.

The documentation for this struct was generated from the following file:

- cstool/bitmasktostr.h